require 'pyro'
require 'sinatra/base'
require 'erb'

class PyroServer < Sinatra::Base
  include Pyro

  set :port, 5678
  set :public_folder, './tmp'
  set :fast_build, false

  get '/?' do
    Pyro.build('development', settings.fast_build, settings.src_folder)
    settings.fast_build = settings.fast
    File.read("#{settings.src_folder}/tmp/index.html")
  end
end
